// - - - - - - - - - - - - - - - - - -

// Header + menu

// - - - - - - - - - - - - - - - - - -



// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - Header

.header {
	padding-top: 30px;
	text-align: center;

	@include mq(tabletp) {
		padding-top: 60px;
	}

	@include mq(laptop) {
		padding-top: 80px;
	}
}

.header__avatar {
	display: block;
	margin: 0 auto 20px;
	border-radius: 100%;
	width: 100px;
	overflow: hidden;
	margin-bottom: 20px;

	@include mq(tabletp) {
		width: 150px;
		margin-bottom: 25px;
	}

	&:hover {
		@include scale(1.05);
	}
}

.header__logo {
	display: block;
	width: $logo-width;
	margin: 0 auto;
}

.header__logo__img {
	width: 100%;
	height: auto;
}

.header__logo__img_min {
	display: inline;
	margin: 0px;
	width: 48px;
	height: 48px;
transform: translate(0, 20%);
}

.header__avatar__img_min {
	width: 64px;
	height: 64px;
}

.header__title {
	font-family: $title-font;
	font-size: $sitetitle-small;
	font-weight: $sitetitle-weight;
	letter-spacing: $sitetitle-spacing;
	line-height: 1;
	color: $text-dark-color;

	&:hover {
		color: $accent-color;
	}

	@include mq(tabletp) {
		font-size: $sitetitle-medium;
	}

	@include mq(laptop) {
		font-size: $sitetitle-large;
	}
}

.header__title_min {

	font-family: $title-font;
	font-size: $sitetitle-small;
	font-weight: $sitetitle-weight;
	letter-spacing: $sitetitle-spacing;
	line-height: 1;
	color: $text-dark-color;

	&:hover {
		color: $accent-color;
	}

	@include mq(tabletp) {
		font-size: $sitetitle-medium;
	}
	@include mq(laptop) {
		font-size: $sitetitle-large;
	}

}

.header__tagline {
	margin-top: 10px;
	font-family: $body-font;
	font-size: $sitetagline-small;
	font-weight: $sitetagline-weight;
	letter-spacing: $sitetagline-spacing;
	line-height: $sitetagline-lineheight;

	@include mq(tabletp) {
		margin-top: 15px;
		font-size: $sitetagline-medium;
	}

	@include mq(laptop) {
		font-size: $sitetagline-large;
	}
}



// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - Menu

.menu {
	margin-top: 10px;

	@include mq(laptop) {
		margin-top: 15px;
	}
}

.menu__list {
	list-style: none;
	padding: 0;
	margin: 0;
}

.menu__list__item {
	display: inline-block;
	padding: 0 5px;

	@include mq(tabletp) {
		padding: 0 8px;
	}

	@include mq(laptop) {
		padding: 0 12px;
	}
}

.menu__list__item__link {
	font-size: $menu-small;
	font-weight: $menu-weight;
	color: $text-dark-color;
	border-bottom: 2px solid transparent;

	&:hover {
		color: $accent-color;
	}

	@include mq(tabletp) {
		font-size: $menu-medium;
	}

	@include mq(laptop) {
		font-size: $menu-large;
	}
	
	&.active-link {
		border-bottom-color: $accent-color;
	}
}
